ubuntu/+source/pidgin:debian/lenny

Last commit made on 2010-11-27
Get this branch:
git clone -b debian/lenny https://git.launchpad.net/ubuntu/+source/pidgin
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
debian/lenny
Repository:
lp:ubuntu/+source/pidgin

Recent commits

0217467... by Ari Pollak on 2010-11-07

Import patches-unapplied version 2.4.3-4lenny8 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: e23e51ae4cbcaa83008645915b03ee826ef407f9

New changelog entries:
  * Move package VCS to git
  * Re-enable SILC, SIMPLE, and Yahoo, which have all apparently been
    disabled since 2.4.3-4lenny6, and which is a grave regression.

e23e51a... by Ari Pollak on 2010-04-28

Import patches-unapplied version 2.4.3-4lenny7 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: d49ea83535da5938265f9637c648292edec25509

New changelog entries:
  * I forgot to explicitly enable the zephyr prpl (Closes: #579601)
  * Disable MSN entirely, since Microsoft's servers won't work with this
    version anyway; avoids a bunch of MSN-related holes
    (CVE-2010-0277, CVE-2009-3084, CVE-2009-3083) (Closes: #566775)
  * debian/patches/38_CVE-2010-0423.patch:
    - Fixes a remote DoS with too many custom smileys (no CVE yet?)
  * debian/patches/39_CVE-2010-0420:
    - Fixes a remote crash in Finch XMPP (CVE-2010-0420)

d49ea83... by Moritz Muehlenhoff <email address hidden> on 2009-10-21

Import patches-unapplied version 2.4.3-4lenny5 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: 1e025ee081bf83dcc5e45aadd7ea42ec9937d48b

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Fix CVE-2009-3615

1e025ee... by Ari Pollak on 2009-08-25

Import patches-unapplied version 2.4.3-4lenny4 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: f5ff984fdad17dcfcf80d49754bdc4eff2799861

New changelog entries:
  * debian/patches/35_xmpp-require-ssl.patch:
    - Fix XMPP not properly enforcing "Require SSL/TLS" on some older
      servers (Closes: #542891)
  * debian/patches/33_ssl-nss-self-signed-crash.patch:
    - fix a regression caused by 25_ssl-nss.patch and causes a crash when
      trying to connect to an XMPP server with a self-signed SSL certificate.
      (Closes: #533052)
  * debian/patches/34_CVE-2009-2694.patch:
    - fix a buffer overflow in MSN (CVE-2009-2694)

f5ff984... by Ari Pollak on 2009-05-12

Import patches-unapplied version 2.4.3-4lenny2 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: b2138efa02b1f64c3e9c3af33dcf78f8847fb9b1

New changelog entries:
  * debian/patches/30_CVE-2009-1373.patch:
    - fix a buffer overflow in XMPP when initiating file transfer with a
      client and it sends back malformed response
  * debian/patches/31_CVE-2009-1375.patch:
    - fix a memory corruption that can sometimes happen if an internal
      buffer is full when more bytes are available from the network
  * debian/patches/32_CVE-2009-1376.patch:
    - fix a buffer overflow in MSN SLP handling

b2138ef... by Ari Pollak on 2009-03-11

Import patches-unapplied version 2.4.3-4lenny1 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: 186798893d1ee8da781708a313d2f73f8ebf593b

New changelog entries:
  * debian/patches/29_icq-version.patch:
   - Apply stripped-down patch to change client version in ICQ; this
     should fix ICQ servers rejecting this purple version for now.
     (Closes: #518988)

1867988... by Ari Pollak on 2008-10-09

Import patches-unapplied version 2.4.3-4 to debian/lenny

Imported using git-ubuntu import.